Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_as_relaxed_extended_json()

## Synopsis

    char *
    bson_as_relaxed_extended_json (const bson_t *bson, size_t *length);

## Parameters

- `bson`: A bson_t.

- `length`: An optional location for the length of the resulting string.

## Description

bson_as_relaxed_extended_json() encodes `bson` as a UTF-8 string in Relaxed Extended JSON. See MongoDB Extended JSON format for a description of Extended JSON formats.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() with the result.

If non-NULL, `length` will be set to the length of the result in bytes.

## Returns

If successful, a newly allocated UTF-8 encoded string and `length` is set.

Upon failure, NULL is returned.

## Example

    bson_t *b = BCON_NEW ("foo", BCON_INT32 (123));
    char *str = bson_as_relaxed_extended_json (b, NULL);
    printf ("Relaxed Extended JSON: %s\n", str);
    // Prints:
    // Relaxed Extended JSON: { "foo" : 123 }
    bson_free (str);
    bson_destroy (b);

See also

bson_as_canonical_extended_json()
bson_as_relaxed_extended_json()
bson_as_legacy_extended_json()
bson_as_json() (Deprecated)
bson_as_json_with_opts()
bson_array_as_canonical_extended_json()
bson_array_as_relaxed_extended_json()
bson_array_as_legacy_extended_json()
bson_array_as_json() (Deprecated)